/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.sf.pal.admin.entity;

import java.io.Serializable;

import jp.sf.pal.admin.PALAdminConstants;

public class PrincipalRule implements Serializable
{

    /**
     * 
     */
    private static final long serialVersionUID = 2527117448954090837L;

    private String profilingRuleName;

    private String locatorName;

    public static final String SEPARATOR = PALAdminConstants.PREFIX
            + "PrincipalRule.SEPARATOR";

    /**
     * @return the locatorName
     */
    public String getLocatorName()
    {
        return locatorName;
    }

    /**
     * @param locatorName the locatorName to set
     */
    public void setLocatorName(String locatorName)
    {
        this.locatorName = locatorName;
    }

    /**
     * @return the profilingRuleName
     */
    public String getProfilingRuleName()
    {
        return profilingRuleName;
    }

    /**
     * @param profilingRuleName the profilingRuleName to set
     */
    public void setProfilingRuleName(String id)
    {
        this.profilingRuleName = id;
    }

    public String getLabel()
    {
        return getLocatorName() + "/" + getProfilingRuleName();
    }

    public String getValue()
    {
        return getLocatorName() + SEPARATOR + getProfilingRuleName();
    }

    public String toString()
    {
        return getLabel();
    }

    public static PrincipalRule getInstance(String value)
    {
        if (value == null)
        {
            return null;
        }
        int index = value.indexOf(SEPARATOR);
        if (index < 0)
        {
            return null;
        }

        PrincipalRule principalRule = new PrincipalRule();
        principalRule.setLocatorName(value.substring(0, index));
        principalRule.setProfilingRuleName(value.substring(index
                + SEPARATOR.length()));
        return principalRule;
    }
}
